Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.type
Class Unit

    |
    +--ru.biosoft.access.MutableDataElementSupport
      |
      +--biouml.standard.type.Unit

public class Unit
extends MutableDataElementSupport

Unit to specify kinetic constat, parameter or variable units.

pending refine the definition according CellML/SBML approach

Field Summary
`final static String` | `CONCENTRATION`
`final static String` | `DISTANCE`
`final static String` | `MASS`
`final static String` | `OTHER`
`final static String` | `SUBSTANCE`
`final static String` | `TEMPERTURE`
`final static String` | `TIME`
`final static String` | `VOLUME`

Constructor Summary
`Unit(DataCollection parent, String name)`

Method Summary
`String` | `getComment()`
`String` | `getUnitType()`
`void` | `setComment(String comment)`
`void` | `setUnitType(String unitType)`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin, toString`

Field Detail

### CONCENTRATION

    public final static String CONCENTRATION

### DISTANCE

    public final static String DISTANCE

### MASS

    public final static String MASS

### OTHER

    public final static String OTHER

### SUBSTANCE

    public final static String SUBSTANCE

### TEMPERTURE

    public final static String TEMPERTURE

### TIME

    public final static String TIME

### VOLUME

    public final static String VOLUME

Constructor Detail

### Unit

    public Unit(DataCollection parent, String name)

Method Detail

### getComment

    public String getComment()

### getUnitType

    public String getUnitType()

### setComment

    public void setComment(String comment)

### setUnitType

    public void setUnitType(String unitType)

Association Links

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

  Arbitrary comment.

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM